# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsGit/GitBundleDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_GitBundleDialog(object):
    def setupUi(self, GitBundleDialog):
        GitBundleDialog.setObjectName("GitBundleDialog")
        GitBundleDialog.resize(450, 184)
        GitBundleDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(GitBundleDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.groupBox = QtWidgets.QGroupBox(parent=GitBundleDialog)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.revisionsButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.revisionsButton.setChecked(True)
        self.revisionsButton.setObjectName("revisionsButton")
        self.gridLayout.addWidget(self.revisionsButton, 0, 0, 1, 1)
        self.revisionsEdit = QtWidgets.QLineEdit(parent=self.groupBox)
        self.revisionsEdit.setObjectName("revisionsEdit")
        self.gridLayout.addWidget(self.revisionsEdit, 0, 1, 1, 1)
        self.tagButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.tagButton.setObjectName("tagButton")
        self.gridLayout.addWidget(self.tagButton, 1, 0, 1, 1)
        self.tagCombo = QtWidgets.QComboBox(parent=self.groupBox)
        self.tagCombo.setEnabled(False)
        self.tagCombo.setEditable(True)
        self.tagCombo.setObjectName("tagCombo")
        self.gridLayout.addWidget(self.tagCombo, 1, 1, 1, 1)
        self.branchButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.branchButton.setObjectName("branchButton")
        self.gridLayout.addWidget(self.branchButton, 2, 0, 1, 1)
        self.branchCombo = QtWidgets.QComboBox(parent=self.groupBox)
        self.branchCombo.setEnabled(False)
        self.branchCombo.setEditable(True)
        self.branchCombo.setObjectName("branchCombo")
        self.gridLayout.addWidget(self.branchCombo, 2, 1, 1, 1)
        self.verticalLayout.addWidget(self.groupBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=GitBundleDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(GitBundleDialog)
        self.buttonBox.accepted.connect(GitBundleDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(GitBundleDialog.reject) # type: ignore
        self.tagButton.toggled['bool'].connect(self.tagCombo.setEnabled) # type: ignore
        self.branchButton.toggled['bool'].connect(self.branchCombo.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(GitBundleDialog)
        GitBundleDialog.setTabOrder(self.tagButton, self.tagCombo)
        GitBundleDialog.setTabOrder(self.tagCombo, self.branchButton)
        GitBundleDialog.setTabOrder(self.branchButton, self.branchCombo)
        GitBundleDialog.setTabOrder(self.branchCombo, self.buttonBox)

    def retranslateUi(self, GitBundleDialog):
        _translate = QtCore.QCoreApplication.translate
        GitBundleDialog.setWindowTitle(_translate("GitBundleDialog", "Git Bundle"))
        self.groupBox.setTitle(_translate("GitBundleDialog", "Revision"))
        self.revisionsButton.setToolTip(_translate("GitBundleDialog", "Select to specify a revision or revision range"))
        self.revisionsButton.setText(_translate("GitBundleDialog", "Revisions:"))
        self.revisionsEdit.setToolTip(_translate("GitBundleDialog", "Enter  revisions or revision range expressions"))
        self.tagButton.setToolTip(_translate("GitBundleDialog", "Select to specify a revision by a tag"))
        self.tagButton.setText(_translate("GitBundleDialog", "Tag:"))
        self.tagCombo.setToolTip(_translate("GitBundleDialog", "Enter a tag name"))
        self.branchButton.setToolTip(_translate("GitBundleDialog", "Select to specify a revision by a branch"))
        self.branchButton.setText(_translate("GitBundleDialog", "Branch:"))
        self.branchCombo.setToolTip(_translate("GitBundleDialog", "Enter a branch name"))
